/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import com.rjconsultores.ventaboletos.dao.CategoriaCorridaDAO;
import com.rjconsultores.ventaboletos.entidad.CategoriaCorrida;
import com.rjconsultores.ventaboletos.entidad.CategoriaCtrl;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

/**
 *
 * @author Administrador
 */
@Repository("categoriaCorridaDAO")
public class CategoriaCorridaHibernateDAO extends GenericHibernateDAO<CategoriaCorrida, Integer>
        implements CategoriaCorridaDAO {

    @Autowired
    public CategoriaCorridaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    public CategoriaCorrida busquedaPoCategoriaCtrl(CategoriaCtrl categoriaCtrl) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq("categoriaCtrl", categoriaCtrl));

        return (CategoriaCorrida) c.uniqueResult();
    }

    @Override
    public List<CategoriaCorrida> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

        return c.list();
    }
}
